(function() {

tinymce.create('tinymce.plugins.sociasharing', {

init : function(ed, url) {

ed.addCommand('mcesociasharing', function() {
ed.windowManager.open({
// call content via admin-ajax, no need to know the full plugin path
file : ajaxurl + '?action=social_tinymce',
width : 500 + ed.getLang('sociasharing.delta_width', 0),
height : 210 + ed.getLang('sociasharing.delta_height', 0),
inline : 1
}, {
plugin_url : url // Plugin absolute URL
});
});

// Register example button
ed.addButton('sociasharing', {
title : 'sociasharingshortcodes',
cmd : 'mcesociasharing',
image : url+'/images/icon.png',
});

// Add a node change handler, selects the button in the UI when a image is selected
ed.onNodeChange.add(function(ed, cm, n) {
cm.setActive('sociasharing', n.nodeName == 'IMG');
});
}
});

// Register plugin
tinymce.PluginManager.add('sociasharing', tinymce.plugins.sociasharing);
})();

